npm ERR! Could not install from "AppData\Roaming\npm\node_modules\uid-number" as it does not contain a package.json file


#1

C:\Users\npm install -g ionic@1.4.0
npm WARN deprecated minimatch@0.3.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated gulp-util@3.0.4: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5
npm WARN deprecated acorn@1.1.0: Accidental backwards-incompatibility in the AST walker
npm WARN deprecated graceful-fs@3.0.6: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
npm WARN deprecated minimatch@1.0.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated minimatch@2.0.7: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated graceful-fs@2.0.0: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js
npm WARN deprecated minimatch@0.2.12: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated node-uuid@1.4.0: Use uuid module instead
npm ERR! code ENOLOCAL
npm ERR! Could not install from “AppData\Roaming\npm\node_modules\uid-number” as it does not contain a package.json file.

npm ERR! A complete log of this run can be found in:
npm ERR! C:\Users\Traform\AppData\Roaming\npm-cache_logs\2018-04-16T06_43_59_229Z-debug.log